stream_pixels(1)

NAME
stream_pixels - Stream pixel data from one or more images to Standard Output.

SYNOPSIS
stream_pixels ImagePaths

DESCRIPTION
This tool reads one or more images and writes all their pixels to standard output in binary form. Optionally, each image can be reoriented to a specified anatomical orientation and/or converted to a different data type. This is useful for piping image data through a pipeline, e.g., the Camino DTI toolkit.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--reorient <string>
    Reorient all images to anatomy-based standard orientation, e.g., RAS or LPS for axial. Default: no reorientation. [Default: NONE]

--change-endian
    Change endianness. Default: native endianness.

--convert
    Convert data to new scalar type. Default: no conversion. Supported values: "char", "byte", "short", "ushort", "int", "uint", "float", "double", or use one of the following:

    --char
        8 bits, signed integer

    --byte
        8 bits, unsigned integer

    --short
        16 bits, signed integer

    --ushort
        16 bits, unsigned integer

    --int
        32 bits, signed integer

    --uint
        32 bits, unsigned integer

    --float
        32-bits, single-precision floating point

    --double
        64 bits, double-precision floating point

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.